use actix_web::{web, Responder};
use askama::Template;

use crate::{
    models::User,
    utils::{ApplicationError, TemplateResponse},
};

#[derive(Template)]
#[template(path = "user/profile_change_password.html")]
struct ProfileChangePasswordTemplate {}

#[actix_web::get("/users/changepassword")]
pub async fn get(_user: web::ReqData<User>) -> Result<impl Responder, ApplicationError> {
    let template = ProfileChangePasswordTemplate {};

    Ok(template.to_response()?)
}
